<?php
/**
 * Copyright © 2016 MageWorx. All rights reserved.
 * See LICENSE.txt for license details.
 */

namespace MageWorx\SeoBreadcrumbs\Helper;

/**
 * SEO Breadcrumbs category helper
 */
class Category extends \Magento\Framework\App\Helper\AbstractHelper
{
    /**
     * @var \Magento\Catalog\Helper\DefaultCategory
     */
    protected $helperDefaultCategory;

    /**
     * Category constructor.
     * @param \Magento\Catalog\Helper\DefaultCategory $helperDefaultCategory
     * @param \Magento\Framework\App\Helper\Context $context
     */
    public function __construct(
        \Magento\Catalog\Helper\DefaultCategory $helperDefaultCategory,
        \Magento\Framework\App\Helper\Context $context
    ) {
        parent::__construct($context);
        $this->helperDefaultCategory = $helperDefaultCategory;
    }


    /**
     * @return array
     */
    public function getRootAndDefaultIds()
    {
        return [
            \Magento\Catalog\Model\Category::TREE_ROOT_ID,
            $this->helperDefaultCategory->getId()
        ];
    }
}
